Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network141.3.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
141.3.0.0
Broadcast address
141.3.127.255
First usable
141.3.0.1
Last usable
141.3.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex 8D030000 · Integer 2365784064 to 2365816831
Reverse DNS zones
0.3.141.in-addr.arpa
1.3.141.in-addr.arpa
2.3.141.in-addr.arpa
3.3.141.in-addr.arpa
4.3.141.in-addr.arpa
5.3.141.in-addr.arpa
6.3.141.in-addr.arpa
7.3.141.in-addr.arpa
8.3.141.in-addr.arpa
9.3.141.in-addr.arpa
10.3.141.in-addr.arpa
11.3.141.in-addr.arpa
12.3.141.in-addr.arpa
13.3.141.in-addr.arpa
14.3.141.in-addr.arpa
15.3.141.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001101.00000011.00000000.00000000141.3.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10001101.00000011.00000000.00000000141.3.0.0
Broadcast10001101.00000011.01111111.11111111141.3.127.255
Split into smaller subnets/28

141.3.0.0/17 makes 2,048 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1141.3.0.0/28141.3.0.1 to 141.3.0.14141.3.0.1514
2141.3.0.16/28141.3.0.17 to 141.3.0.30141.3.0.3114
3141.3.0.32/28141.3.0.33 to 141.3.0.46141.3.0.4714
4141.3.0.48/28141.3.0.49 to 141.3.0.62141.3.0.6314
5141.3.0.64/28141.3.0.65 to 141.3.0.78141.3.0.7914
6141.3.0.80/28141.3.0.81 to 141.3.0.94141.3.0.9514
7141.3.0.96/28141.3.0.97 to 141.3.0.110141.3.0.11114
8141.3.0.112/28141.3.0.113 to 141.3.0.126141.3.0.12714
9141.3.0.128/28141.3.0.129 to 141.3.0.142141.3.0.14314
10141.3.0.144/28141.3.0.145 to 141.3.0.158141.3.0.15914
11141.3.0.160/28141.3.0.161 to 141.3.0.174141.3.0.17514
12141.3.0.176/28141.3.0.177 to 141.3.0.190141.3.0.19114
13141.3.0.192/28141.3.0.193 to 141.3.0.206141.3.0.20714
14141.3.0.208/28141.3.0.209 to 141.3.0.222141.3.0.22314
15141.3.0.224/28141.3.0.225 to 141.3.0.238141.3.0.23914
16141.3.0.240/28141.3.0.241 to 141.3.0.254141.3.0.25514
17141.3.1.0/28141.3.1.1 to 141.3.1.14141.3.1.1514
18141.3.1.16/28141.3.1.17 to 141.3.1.30141.3.1.3114
19141.3.1.32/28141.3.1.33 to 141.3.1.46141.3.1.4714
20141.3.1.48/28141.3.1.49 to 141.3.1.62141.3.1.6314
21141.3.1.64/28141.3.1.65 to 141.3.1.78141.3.1.7914
22141.3.1.80/28141.3.1.81 to 141.3.1.94141.3.1.9514
23141.3.1.96/28141.3.1.97 to 141.3.1.110141.3.1.11114
24141.3.1.112/28141.3.1.113 to 141.3.1.126141.3.1.12714
25141.3.1.128/28141.3.1.129 to 141.3.1.142141.3.1.14314
26141.3.1.144/28141.3.1.145 to 141.3.1.158141.3.1.15914
27141.3.1.160/28141.3.1.161 to 141.3.1.174141.3.1.17514
28141.3.1.176/28141.3.1.177 to 141.3.1.190141.3.1.19114
29141.3.1.192/28141.3.1.193 to 141.3.1.206141.3.1.20714
30141.3.1.208/28141.3.1.209 to 141.3.1.222141.3.1.22314
31141.3.1.224/28141.3.1.225 to 141.3.1.238141.3.1.23914
32141.3.1.240/28141.3.1.241 to 141.3.1.254141.3.1.25514
33141.3.2.0/28141.3.2.1 to 141.3.2.14141.3.2.1514
34141.3.2.16/28141.3.2.17 to 141.3.2.30141.3.2.3114
35141.3.2.32/28141.3.2.33 to 141.3.2.46141.3.2.4714
36141.3.2.48/28141.3.2.49 to 141.3.2.62141.3.2.6314
37141.3.2.64/28141.3.2.65 to 141.3.2.78141.3.2.7914
38141.3.2.80/28141.3.2.81 to 141.3.2.94141.3.2.9514
39141.3.2.96/28141.3.2.97 to 141.3.2.110141.3.2.11114
40141.3.2.112/28141.3.2.113 to 141.3.2.126141.3.2.12714
41141.3.2.128/28141.3.2.129 to 141.3.2.142141.3.2.14314
42141.3.2.144/28141.3.2.145 to 141.3.2.158141.3.2.15914
43141.3.2.160/28141.3.2.161 to 141.3.2.174141.3.2.17514
44141.3.2.176/28141.3.2.177 to 141.3.2.190141.3.2.19114
45141.3.2.192/28141.3.2.193 to 141.3.2.206141.3.2.20714
46141.3.2.208/28141.3.2.209 to 141.3.2.222141.3.2.22314
47141.3.2.224/28141.3.2.225 to 141.3.2.238141.3.2.23914
48141.3.2.240/28141.3.2.241 to 141.3.2.254141.3.2.25514
49141.3.3.0/28141.3.3.1 to 141.3.3.14141.3.3.1514
50141.3.3.16/28141.3.3.17 to 141.3.3.30141.3.3.3114
51141.3.3.32/28141.3.3.33 to 141.3.3.46141.3.3.4714
52141.3.3.48/28141.3.3.49 to 141.3.3.62141.3.3.6314
53141.3.3.64/28141.3.3.65 to 141.3.3.78141.3.3.7914
54141.3.3.80/28141.3.3.81 to 141.3.3.94141.3.3.9514
55141.3.3.96/28141.3.3.97 to 141.3.3.110141.3.3.11114
56141.3.3.112/28141.3.3.113 to 141.3.3.126141.3.3.12714
57141.3.3.128/28141.3.3.129 to 141.3.3.142141.3.3.14314
58141.3.3.144/28141.3.3.145 to 141.3.3.158141.3.3.15914
59141.3.3.160/28141.3.3.161 to 141.3.3.174141.3.3.17514
60141.3.3.176/28141.3.3.177 to 141.3.3.190141.3.3.19114
61141.3.3.192/28141.3.3.193 to 141.3.3.206141.3.3.20714
62141.3.3.208/28141.3.3.209 to 141.3.3.222141.3.3.22314
63141.3.3.224/28141.3.3.225 to 141.3.3.238141.3.3.23914
64141.3.3.240/28141.3.3.241 to 141.3.3.254141.3.3.25514
65141.3.4.0/28141.3.4.1 to 141.3.4.14141.3.4.1514
66141.3.4.16/28141.3.4.17 to 141.3.4.30141.3.4.3114
67141.3.4.32/28141.3.4.33 to 141.3.4.46141.3.4.4714
68141.3.4.48/28141.3.4.49 to 141.3.4.62141.3.4.6314
69141.3.4.64/28141.3.4.65 to 141.3.4.78141.3.4.7914
70141.3.4.80/28141.3.4.81 to 141.3.4.94141.3.4.9514
71141.3.4.96/28141.3.4.97 to 141.3.4.110141.3.4.11114
72141.3.4.112/28141.3.4.113 to 141.3.4.126141.3.4.12714
73141.3.4.128/28141.3.4.129 to 141.3.4.142141.3.4.14314
74141.3.4.144/28141.3.4.145 to 141.3.4.158141.3.4.15914
75141.3.4.160/28141.3.4.161 to 141.3.4.174141.3.4.17514
76141.3.4.176/28141.3.4.177 to 141.3.4.190141.3.4.19114
77141.3.4.192/28141.3.4.193 to 141.3.4.206141.3.4.20714
78141.3.4.208/28141.3.4.209 to 141.3.4.222141.3.4.22314
79141.3.4.224/28141.3.4.225 to 141.3.4.238141.3.4.23914
80141.3.4.240/28141.3.4.241 to 141.3.4.254141.3.4.25514
81141.3.5.0/28141.3.5.1 to 141.3.5.14141.3.5.1514
82141.3.5.16/28141.3.5.17 to 141.3.5.30141.3.5.3114
83141.3.5.32/28141.3.5.33 to 141.3.5.46141.3.5.4714
84141.3.5.48/28141.3.5.49 to 141.3.5.62141.3.5.6314
85141.3.5.64/28141.3.5.65 to 141.3.5.78141.3.5.7914
86141.3.5.80/28141.3.5.81 to 141.3.5.94141.3.5.9514
87141.3.5.96/28141.3.5.97 to 141.3.5.110141.3.5.11114
88141.3.5.112/28141.3.5.113 to 141.3.5.126141.3.5.12714
89141.3.5.128/28141.3.5.129 to 141.3.5.142141.3.5.14314
90141.3.5.144/28141.3.5.145 to 141.3.5.158141.3.5.15914
91141.3.5.160/28141.3.5.161 to 141.3.5.174141.3.5.17514
92141.3.5.176/28141.3.5.177 to 141.3.5.190141.3.5.19114
93141.3.5.192/28141.3.5.193 to 141.3.5.206141.3.5.20714
94141.3.5.208/28141.3.5.209 to 141.3.5.222141.3.5.22314
95141.3.5.224/28141.3.5.225 to 141.3.5.238141.3.5.23914
96141.3.5.240/28141.3.5.241 to 141.3.5.254141.3.5.25514
97141.3.6.0/28141.3.6.1 to 141.3.6.14141.3.6.1514
98141.3.6.16/28141.3.6.17 to 141.3.6.30141.3.6.3114
99141.3.6.32/28141.3.6.33 to 141.3.6.46141.3.6.4714
100141.3.6.48/28141.3.6.49 to 141.3.6.62141.3.6.6314
101141.3.6.64/28141.3.6.65 to 141.3.6.78141.3.6.7914
102141.3.6.80/28141.3.6.81 to 141.3.6.94141.3.6.9514
103141.3.6.96/28141.3.6.97 to 141.3.6.110141.3.6.11114
104141.3.6.112/28141.3.6.113 to 141.3.6.126141.3.6.12714
105141.3.6.128/28141.3.6.129 to 141.3.6.142141.3.6.14314
106141.3.6.144/28141.3.6.145 to 141.3.6.158141.3.6.15914
107141.3.6.160/28141.3.6.161 to 141.3.6.174141.3.6.17514
108141.3.6.176/28141.3.6.177 to 141.3.6.190141.3.6.19114
109141.3.6.192/28141.3.6.193 to 141.3.6.206141.3.6.20714
110141.3.6.208/28141.3.6.209 to 141.3.6.222141.3.6.22314
111141.3.6.224/28141.3.6.225 to 141.3.6.238141.3.6.23914
112141.3.6.240/28141.3.6.241 to 141.3.6.254141.3.6.25514
113141.3.7.0/28141.3.7.1 to 141.3.7.14141.3.7.1514
114141.3.7.16/28141.3.7.17 to 141.3.7.30141.3.7.3114
115141.3.7.32/28141.3.7.33 to 141.3.7.46141.3.7.4714
116141.3.7.48/28141.3.7.49 to 141.3.7.62141.3.7.6314
117141.3.7.64/28141.3.7.65 to 141.3.7.78141.3.7.7914
118141.3.7.80/28141.3.7.81 to 141.3.7.94141.3.7.9514
119141.3.7.96/28141.3.7.97 to 141.3.7.110141.3.7.11114
120141.3.7.112/28141.3.7.113 to 141.3.7.126141.3.7.12714
121141.3.7.128/28141.3.7.129 to 141.3.7.142141.3.7.14314
122141.3.7.144/28141.3.7.145 to 141.3.7.158141.3.7.15914
123141.3.7.160/28141.3.7.161 to 141.3.7.174141.3.7.17514
124141.3.7.176/28141.3.7.177 to 141.3.7.190141.3.7.19114
125141.3.7.192/28141.3.7.193 to 141.3.7.206141.3.7.20714
126141.3.7.208/28141.3.7.209 to 141.3.7.222141.3.7.22314
127141.3.7.224/28141.3.7.225 to 141.3.7.238141.3.7.23914
128141.3.7.240/28141.3.7.241 to 141.3.7.254141.3.7.25514
129141.3.8.0/28141.3.8.1 to 141.3.8.14141.3.8.1514
130141.3.8.16/28141.3.8.17 to 141.3.8.30141.3.8.3114
131141.3.8.32/28141.3.8.33 to 141.3.8.46141.3.8.4714
132141.3.8.48/28141.3.8.49 to 141.3.8.62141.3.8.6314
133141.3.8.64/28141.3.8.65 to 141.3.8.78141.3.8.7914
134141.3.8.80/28141.3.8.81 to 141.3.8.94141.3.8.9514
135141.3.8.96/28141.3.8.97 to 141.3.8.110141.3.8.11114
136141.3.8.112/28141.3.8.113 to 141.3.8.126141.3.8.12714
137141.3.8.128/28141.3.8.129 to 141.3.8.142141.3.8.14314
138141.3.8.144/28141.3.8.145 to 141.3.8.158141.3.8.15914
139141.3.8.160/28141.3.8.161 to 141.3.8.174141.3.8.17514
140141.3.8.176/28141.3.8.177 to 141.3.8.190141.3.8.19114
141141.3.8.192/28141.3.8.193 to 141.3.8.206141.3.8.20714
142141.3.8.208/28141.3.8.209 to 141.3.8.222141.3.8.22314
143141.3.8.224/28141.3.8.225 to 141.3.8.238141.3.8.23914
144141.3.8.240/28141.3.8.241 to 141.3.8.254141.3.8.25514
145141.3.9.0/28141.3.9.1 to 141.3.9.14141.3.9.1514
146141.3.9.16/28141.3.9.17 to 141.3.9.30141.3.9.3114
147141.3.9.32/28141.3.9.33 to 141.3.9.46141.3.9.4714
148141.3.9.48/28141.3.9.49 to 141.3.9.62141.3.9.6314
149141.3.9.64/28141.3.9.65 to 141.3.9.78141.3.9.7914
150141.3.9.80/28141.3.9.81 to 141.3.9.94141.3.9.9514
151141.3.9.96/28141.3.9.97 to 141.3.9.110141.3.9.11114
152141.3.9.112/28141.3.9.113 to 141.3.9.126141.3.9.12714
153141.3.9.128/28141.3.9.129 to 141.3.9.142141.3.9.14314
154141.3.9.144/28141.3.9.145 to 141.3.9.158141.3.9.15914
155141.3.9.160/28141.3.9.161 to 141.3.9.174141.3.9.17514
156141.3.9.176/28141.3.9.177 to 141.3.9.190141.3.9.19114
157141.3.9.192/28141.3.9.193 to 141.3.9.206141.3.9.20714
158141.3.9.208/28141.3.9.209 to 141.3.9.222141.3.9.22314
159141.3.9.224/28141.3.9.225 to 141.3.9.238141.3.9.23914
160141.3.9.240/28141.3.9.241 to 141.3.9.254141.3.9.25514
161141.3.10.0/28141.3.10.1 to 141.3.10.14141.3.10.1514
162141.3.10.16/28141.3.10.17 to 141.3.10.30141.3.10.3114
163141.3.10.32/28141.3.10.33 to 141.3.10.46141.3.10.4714
164141.3.10.48/28141.3.10.49 to 141.3.10.62141.3.10.6314
165141.3.10.64/28141.3.10.65 to 141.3.10.78141.3.10.7914
166141.3.10.80/28141.3.10.81 to 141.3.10.94141.3.10.9514
167141.3.10.96/28141.3.10.97 to 141.3.10.110141.3.10.11114
168141.3.10.112/28141.3.10.113 to 141.3.10.126141.3.10.12714
169141.3.10.128/28141.3.10.129 to 141.3.10.142141.3.10.14314
170141.3.10.144/28141.3.10.145 to 141.3.10.158141.3.10.15914
171141.3.10.160/28141.3.10.161 to 141.3.10.174141.3.10.17514
172141.3.10.176/28141.3.10.177 to 141.3.10.190141.3.10.19114
173141.3.10.192/28141.3.10.193 to 141.3.10.206141.3.10.20714
174141.3.10.208/28141.3.10.209 to 141.3.10.222141.3.10.22314
175141.3.10.224/28141.3.10.225 to 141.3.10.238141.3.10.23914
176141.3.10.240/28141.3.10.241 to 141.3.10.254141.3.10.25514
177141.3.11.0/28141.3.11.1 to 141.3.11.14141.3.11.1514
178141.3.11.16/28141.3.11.17 to 141.3.11.30141.3.11.3114
179141.3.11.32/28141.3.11.33 to 141.3.11.46141.3.11.4714
180141.3.11.48/28141.3.11.49 to 141.3.11.62141.3.11.6314
181141.3.11.64/28141.3.11.65 to 141.3.11.78141.3.11.7914
182141.3.11.80/28141.3.11.81 to 141.3.11.94141.3.11.9514
183141.3.11.96/28141.3.11.97 to 141.3.11.110141.3.11.11114
184141.3.11.112/28141.3.11.113 to 141.3.11.126141.3.11.12714
185141.3.11.128/28141.3.11.129 to 141.3.11.142141.3.11.14314
186141.3.11.144/28141.3.11.145 to 141.3.11.158141.3.11.15914
187141.3.11.160/28141.3.11.161 to 141.3.11.174141.3.11.17514
188141.3.11.176/28141.3.11.177 to 141.3.11.190141.3.11.19114
189141.3.11.192/28141.3.11.193 to 141.3.11.206141.3.11.20714
190141.3.11.208/28141.3.11.209 to 141.3.11.222141.3.11.22314
191141.3.11.224/28141.3.11.225 to 141.3.11.238141.3.11.23914
192141.3.11.240/28141.3.11.241 to 141.3.11.254141.3.11.25514
193141.3.12.0/28141.3.12.1 to 141.3.12.14141.3.12.1514
194141.3.12.16/28141.3.12.17 to 141.3.12.30141.3.12.3114
195141.3.12.32/28141.3.12.33 to 141.3.12.46141.3.12.4714
196141.3.12.48/28141.3.12.49 to 141.3.12.62141.3.12.6314
197141.3.12.64/28141.3.12.65 to 141.3.12.78141.3.12.7914
198141.3.12.80/28141.3.12.81 to 141.3.12.94141.3.12.9514
199141.3.12.96/28141.3.12.97 to 141.3.12.110141.3.12.11114
200141.3.12.112/28141.3.12.113 to 141.3.12.126141.3.12.12714
201141.3.12.128/28141.3.12.129 to 141.3.12.142141.3.12.14314
202141.3.12.144/28141.3.12.145 to 141.3.12.158141.3.12.15914
203141.3.12.160/28141.3.12.161 to 141.3.12.174141.3.12.17514
204141.3.12.176/28141.3.12.177 to 141.3.12.190141.3.12.19114
205141.3.12.192/28141.3.12.193 to 141.3.12.206141.3.12.20714
206141.3.12.208/28141.3.12.209 to 141.3.12.222141.3.12.22314
207141.3.12.224/28141.3.12.225 to 141.3.12.238141.3.12.23914
208141.3.12.240/28141.3.12.241 to 141.3.12.254141.3.12.25514
209141.3.13.0/28141.3.13.1 to 141.3.13.14141.3.13.1514
210141.3.13.16/28141.3.13.17 to 141.3.13.30141.3.13.3114
211141.3.13.32/28141.3.13.33 to 141.3.13.46141.3.13.4714
212141.3.13.48/28141.3.13.49 to 141.3.13.62141.3.13.6314
213141.3.13.64/28141.3.13.65 to 141.3.13.78141.3.13.7914
214141.3.13.80/28141.3.13.81 to 141.3.13.94141.3.13.9514
215141.3.13.96/28141.3.13.97 to 141.3.13.110141.3.13.11114
216141.3.13.112/28141.3.13.113 to 141.3.13.126141.3.13.12714
217141.3.13.128/28141.3.13.129 to 141.3.13.142141.3.13.14314
218141.3.13.144/28141.3.13.145 to 141.3.13.158141.3.13.15914
219141.3.13.160/28141.3.13.161 to 141.3.13.174141.3.13.17514
220141.3.13.176/28141.3.13.177 to 141.3.13.190141.3.13.19114
221141.3.13.192/28141.3.13.193 to 141.3.13.206141.3.13.20714
222141.3.13.208/28141.3.13.209 to 141.3.13.222141.3.13.22314
223141.3.13.224/28141.3.13.225 to 141.3.13.238141.3.13.23914
224141.3.13.240/28141.3.13.241 to 141.3.13.254141.3.13.25514
225141.3.14.0/28141.3.14.1 to 141.3.14.14141.3.14.1514
226141.3.14.16/28141.3.14.17 to 141.3.14.30141.3.14.3114
227141.3.14.32/28141.3.14.33 to 141.3.14.46141.3.14.4714
228141.3.14.48/28141.3.14.49 to 141.3.14.62141.3.14.6314
229141.3.14.64/28141.3.14.65 to 141.3.14.78141.3.14.7914
230141.3.14.80/28141.3.14.81 to 141.3.14.94141.3.14.9514
231141.3.14.96/28141.3.14.97 to 141.3.14.110141.3.14.11114
232141.3.14.112/28141.3.14.113 to 141.3.14.126141.3.14.12714
233141.3.14.128/28141.3.14.129 to 141.3.14.142141.3.14.14314
234141.3.14.144/28141.3.14.145 to 141.3.14.158141.3.14.15914
235141.3.14.160/28141.3.14.161 to 141.3.14.174141.3.14.17514
236141.3.14.176/28141.3.14.177 to 141.3.14.190141.3.14.19114
237141.3.14.192/28141.3.14.193 to 141.3.14.206141.3.14.20714
238141.3.14.208/28141.3.14.209 to 141.3.14.222141.3.14.22314
239141.3.14.224/28141.3.14.225 to 141.3.14.238141.3.14.23914
240141.3.14.240/28141.3.14.241 to 141.3.14.254141.3.14.25514
241141.3.15.0/28141.3.15.1 to 141.3.15.14141.3.15.1514
242141.3.15.16/28141.3.15.17 to 141.3.15.30141.3.15.3114
243141.3.15.32/28141.3.15.33 to 141.3.15.46141.3.15.4714
244141.3.15.48/28141.3.15.49 to 141.3.15.62141.3.15.6314
245141.3.15.64/28141.3.15.65 to 141.3.15.78141.3.15.7914
246141.3.15.80/28141.3.15.81 to 141.3.15.94141.3.15.9514
247141.3.15.96/28141.3.15.97 to 141.3.15.110141.3.15.11114
248141.3.15.112/28141.3.15.113 to 141.3.15.126141.3.15.12714
249141.3.15.128/28141.3.15.129 to 141.3.15.142141.3.15.14314
250141.3.15.144/28141.3.15.145 to 141.3.15.158141.3.15.15914
251141.3.15.160/28141.3.15.161 to 141.3.15.174141.3.15.17514
252141.3.15.176/28141.3.15.177 to 141.3.15.190141.3.15.19114
253141.3.15.192/28141.3.15.193 to 141.3.15.206141.3.15.20714
254141.3.15.208/28141.3.15.209 to 141.3.15.222141.3.15.22314
255141.3.15.224/28141.3.15.225 to 141.3.15.238141.3.15.23914
256141.3.15.240/28141.3.15.241 to 141.3.15.254141.3.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses